Subject: Ticket Assigned - 9577062038/ late delivery
From: Home Box <[email-masked]>
To: [email-masked]
Date: Wed, 06 Jul 2022 13:13:03 +0000

Hi Alhamzi Mohammed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  9577062038/ late delivery teffy                    I just want to follow up my orders when will it be deliver           05:09 PM, 06th Jul                   New                   Thank you for contacting HomeBox! In Order for us to help you, please describe your query in detail.           05:09 PM, 06th Jul                   New                   If you are contacting us about an existing order, please share with us your Order number or Invoice number while explaining your query.            05:09 PM, 06th Jul                     teffy                    9577062038 Teffani Francisco           05:09 PM, 06th Jul                   Alhamzi                   Hi Teffani, thank you for contacting us. This's Alhamzi We would be happy to help you.           05:09 PM, 06th Jul                   Alhamzi                   Please wait while we check the details.            05:09 PM, 06th Jul                     teffy                             05:10 PM, 06th Jul                     teffy                             05:10 PM, 06th Jul                     teffy                             05:10 PM, 06th Jul                   Alhamzi                   Please confirm if the following phone number is correct: 971507059355           05:10 PM, 06th Jul                     teffy                    Yes it's correct           05:10 PM, 06th Jul                   Alhamzi                   I can see that delivery of this order has taken longer than our normal delivery time, and I am really very sorry for this delay. I know that you’ve been waiting for it.  We have forwarded your issue to our concern team. Our team is working on it. Once we will get any update we will get back to you.  Our courier partner will contact you to arrange a time for delivery. It should be with you soon.  Again, please accept our sincere apologies for this unexpected delay.           05:10 PM, 06th Jul                   Alhamzi                   Do you have any other inquiries that we can help with?           05:10 PM, 06th Jul                     teffy                    When will I expect it to come           05:11 PM, 06th Jul                   Alhamzi                   kindly not that we do not know the exact delivery time but rest assured that we are doing the needful to deliver your order ASAP.    Please allow us some more time            05:11 PM, 06th Jul                   Alhamzi                   Do you have any other inquiries that we can help with?           05:11 PM, 06th Jul                     teffy                    Thanks           05:12 PM, 06th Jul                   Alhamzi                   It was a pleasure to assist you. Thank you for shopping with us.  Have a wonderful day.           05:12 PM, 06th Jul                                          View conversation in Freshchat https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4592614